Send Money (International)

This api will be used for completing all P2P and P2M Payment scenarios. This includes

  • Incoming Intent Payment

  • Scan and Pay (UPI QR & Bharat QR)

  • P2P Pay (Vpa & Account+IFSC)

  • Payment to PSP merchant

  • Self Pay

The api can be invoked to process different types of payments. The transactionType key of request is used to identify the type of payment. Possible values are P2M_PAY, P2P_PAY, SELF_PAY, INTENT_PAY and SCAN_PAY. Depending on the payment type, some additional parameters need to be passed.

P2M_PAY is to be used for payment to a PSP merchant only. The payeeVpa should be a valid PSP generated vpa for the merchant.

INTENT_PAY and SCAN_PAY are used for the intent and qr scan transactions. Both UPI QR and Bharat QR codes are supported.

P2P_PAY is to be used for completing all other P2P payment scenarios. For direct to account transfers, payeeVpa should be of format <account-no>@<ifsc-code>.ifsc.npci like 12345@BankIFSC.ifsc.npci.

SELF_PAY is to be used for doing a self transfer between customer accounts having same vpa domain.

SELF_PAY is to be used for doing a self transfer between customer accounts having same vpa domain.

UPI International transactionType will only be SCAN_PAY.

Below are some request parameters required to be handled specifically according to the payment scenario.

API Endpoints
Production Link
POST
http://{{host}}/api/{uri}/merchants/transactions/sendMoney
Headers
Body
200 : Success